--- /dev/null	2014-06-12 17:28:21.000000000 +0100
+++ new/usr/src/pkg/manifests/driver-storage-mpt_sas3.mf	2014-06-12 17:28:21.981069427 +0100
@@ -0,0 +1,50 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+#
+
+#
+# The default for payload-bearing actions in this package is to appear in the
+# global zone only.  See the include file for greater detail, as well as
+# information about overriding the defaults.
+#
+<include global_zone_only_component>
+set name=pkg.fmri value=pkg:/driver/storage/mpt_sas3@$(PKGVERS)
+set name=pkg.description value="LSI MPT SAS 3.0 Controller HBA Driver"
+set name=pkg.summary value="LSI MPT SAS 3.0 Controller HBA Driver"
+set name=info.classification \
+    value=org.opensolaris.category.2008:Drivers/Storage
+set name=variant.arch value=$(ARCH)
+dir path=kernel group=sys
+dir path=kernel/drv group=sys
+dir path=kernel/drv/$(ARCH64) group=sys
+dir path=usr/share/man
+dir path=usr/share/man/man7d
+driver name=mpt_sas3 class=scsi-self-identifying \
+    alias=pciex1000,90 \
+    alias=pciex1000,97
+file path=kernel/drv/$(ARCH64)/mpt_sas3 group=sys
+$(i386_ONLY)file path=kernel/drv/mpt_sas3 group=sys
+file path=kernel/drv/mpt_sas3.conf group=sys preserve=true
+file path=usr/share/man/man7d/mpt_sas3.7d
+license lic_CDDL license=lic_CDDL
